summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-cdr/mirage2iso/ChangeLog5
-rw-r--r--app-cdr/mirage2iso/Manifest4
-rw-r--r--app-cdr/mirage2iso/mirage2iso-0.3.ebuild11
3 files changed, 14 insertions, 6 deletions
diff --git a/app-cdr/mirage2iso/ChangeLog b/app-cdr/mirage2iso/ChangeLog
index 6f6ab533a..89b9af895 100644
--- a/app-cdr/mirage2iso/ChangeLog
+++ b/app-cdr/mirage2iso/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 06 Jul 2010; Michał Górny (sedzimir) <mgorny.3ehbo@mailnull.com>
+ mirage2iso-0.3.ebuild:
+ Instead of working around EPREFIX confusion, decrease EAPI and just unpack
+ tests manually when requested.
+
27 Jun 2010; Michał Górny (sedzimir) <mgorny.3ehbo@mailnull.com>
mirage2iso-0.3.ebuild:
Update HOMEPAGE and SRC_URI.
diff --git a/app-cdr/mirage2iso/Manifest b/app-cdr/mirage2iso/Manifest
index 02683e308..7f2013419 100644
--- a/app-cdr/mirage2iso/Manifest
+++ b/app-cdr/mirage2iso/Manifest
@@ -1,5 +1,5 @@
DIST mirage2iso-0.3-tests.tar.xz 4185308 RMD160 7969ba017e8abd68ffcd6fb0b72ce2046480ae73 SHA1 222863194b25c0133d83b6c1c04df88d0e91fd61 SHA256 742d7cbaddb522967d858b5b0042e3ac7e6165134e1f69462292c7593d160258
DIST mirage2iso-0.3.tar.bz2 12023 RMD160 11321692f9eaf15c280f32c53ab9ceb5cbbc4371 SHA1 fbc21c3491d7915ca97c3e967adbf3cb14c84988 SHA256 b0a88e9ed90c3f0ced212588270ffaa18e8574737a79c361dedeb00ab3db3c6a
-EBUILD mirage2iso-0.3.ebuild 990 RMD160 d264655554c442d881991826c20a76180ba093b8 SHA1 d8c1ddf5d6f9ec475814cde735574fc57ed99d91 SHA256 128796b10479046856393d1f8fca6c3aabbbd4f0f8b57a7c33952cd7f2205fe1
-MISC ChangeLog 893 RMD160 6b5a4db4c82e11f40964d021f8245b6df911ab2b SHA1 16fb57da30b8881aeff5cece436cd3ff2e5ad550 SHA256 c385befed1b03079c669e312fef9363c8bda6ae5b91f68830a3327758334f42c
+EBUILD mirage2iso-0.3.ebuild 925 RMD160 d432af0d44fb172b2b94dc66bf4541c486c17aba SHA1 4195c5d82fb0298c6fffa9fe441e49aaab5d16d8 SHA256 ba3a2389e4b9bb7205275e43f5bfe68ecc8e258dbfd1ba692df50c52e47659dc
+MISC ChangeLog 1098 RMD160 04fb6bdf4e8b4fef26da6baa7d802b67eddf1195 SHA1 c744846e1ed835168505c95e99ad461a8baf276f SHA256 eaefc4beba2807050dd6f88619004525d686ade686dbdfdf3ae4d4688dfaf948
MISC metadata.xml 342 RMD160 4d45508bfa3205bc806bee41c1076ef1f1529d64 SHA1 07110c16fd71b5bfdb033da33596b0b019b8f6fd SHA256 a6222c41141c9e243746e57301ab316868024281c3d9a8262155ba080acb98cf
diff --git a/app-cdr/mirage2iso/mirage2iso-0.3.ebuild b/app-cdr/mirage2iso/mirage2iso-0.3.ebuild
index 2c7463525..3cce213a6 100644
--- a/app-cdr/mirage2iso/mirage2iso-0.3.ebuild
+++ b/app-cdr/mirage2iso/mirage2iso-0.3.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="3"
+EAPI=2
inherit toolchain-funcs
@@ -25,13 +25,16 @@ RDEPEND="${COMMON_DEPEND}
src_configure() {
tc-export CC
- # we have to explicitly pass --bindir to workaround bugs in configure script
- # (EPREFIX in parent environment causes confusion), fixed in r115
econf \
- --bindir="${EPREFIX}"/usr/bin \
$(use_with pinentry assuan)
}
+src_test() {
+ xz -cd "${DISTDIR}"/${P}-tests.tar.xz | \
+ tar -x --strip-components 1 || die
+ emake check || die
+}
+
src_install() {
emake DESTDIR="${D}" install || die 'install failed'